<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Job Level</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Job Level
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Job Level</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-4">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <div class="box">
                <form method="get">
                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <h3 class="box-title">List of Job Level</h3>
                            </div>
                            <div class="col-md-6" align="right">
                                Show entries <span sd:page-size-selector="javascript"></span>
                            </div>
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-12">
                                    <a th:href="@{/masterdata/job_level/new}" name="tambah" type="button" class="btn btn-sm btn-default">+ NEW JOB LEVEL</a>
                                    <a th:href="@{/masterdata/job_level/export/excel}" class="btn btn-sm btn-default" title="Add"><i class="ion-android-upload"></i> Export</a>
                                    <button type="button" class="btn btn-sm btn-default" data-toggle="modal" data-target="#modal-import">
                                        <i class="ion-android-download"></i> Import
                                    </button>
                            </div>



                            <div class="col-md-12" align="right">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </form>
                <!-- /.box-header -->
                <div class="modal fade" id="modal-import">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <form th:action="@{/masterdata/job_level/import}" method="post" enctype="multipart/form-data">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title">Import Data Job Level</h4>
                                </div>
                                <div class="modal-body">
                                    <input type="file" th:name="file" />
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                    <input th:type="submit" value="Import" />
                                </div>
                            </form>
                        </div>
                        <!-- /.modal-content -->
                    </div>
                    <!-- /.modal-dialog -->
                </div>


                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Name</th>
                            <th style="width: 40px"></th>
                        </tr>
                        <tr th:each="dataJobLevel,row : ${listJobLevel}">
                            <td th:text="${(row.index + 1) + (listJobLevel.number * listJobLevel.size)}">1.</td>

                            <td><a th:href="@{/masterdata/job_level/edit(jobLevel = ${dataJobLevel.id})}" th:text="${dataJobLevel.jobLevel}" title="edit">Edit</a></td>
                            <td>

                                <form method="post" th:action="@{/masterdata/job_level/delete(jobLevel=${dataJobLevel.id})}">
                                    <button type="submit" class="btn btn-danger btn-xs"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Name</th>
                            <th style="width: 40px"></th>
                        </tr>


                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
</body>
</html>